﻿// sqlcars.aspx.cs
// The code-behind file for sqlcars.aspx
// Defines two methods in its class, MyClass
// The Page_Load method executes when the Page_Load event occurs
//  If IsPostBack, it calls the other method, DoCommand
// The DoCommand method creates the connection and command objects,
//  opens the connection, calls ExecuteReader to execute the SELECT
//  command. It then assigns the results to the data source of the
//  GridView control in the ASP.NET document 

using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.Odbc;

namespace sqlcars
{
    public partial class MyClass : System.Web.UI.Page
    {
        const string ConnStr = "Driver={MySQL ODBC 3.51 Driver};" +
            "Server=localhost;Database=cars;uid=root;options=3";
        protected void Page_Load()
        {
            if (IsPostBack)
            {
                DoCommand(command.Text);
            }
        }

        protected void DoCommand(string command)
        {
            OdbcConnection con = new OdbcConnection(ConnStr);
            OdbcCommand cmd = new OdbcCommand(command, con);
            try
            {
                con.Open();
                OdbcDataReader reader = cmd.ExecuteReader(
                                     CommandBehavior.CloseConnection);
                results.DataSource = reader;
                results.DataBind();
            }
            catch (Exception ex)
            {
                errorLabel.Text = ex.Message;
            }
            finally
            {
                reader.Close();
            }
        }
    }
}
